# include <Servo.h>

// create a Servo object to control the ESC
Servo esc;

int potVal;

void setup() {
  // set the baud rate for serial communication
  Serial.begin(9600);

  // attach the ESC to pin 9
   esc.attach(9, 1000, 2000); // the second and third parameters are the minimum and maximum pulse widths


}

void loop() {
  // set the speed to half of the maximum (which is 180)
  
 potVal = analogRead(A1); // read input from potentiometer.

int speed  = map(potVal,0, 1023, 0, 180); // maps potentiometer values to PWM val

  // send the speed to the ESC
  esc.write(speed);

  // print the speed to the serial monitor
  Serial.print("Speed: ");
  Serial.println(speed);
 
  // pause for a moment before starting again
}